Subject: Re: [manet] #48 (aodvv2): Single address per interface per router (submitted for Chris Dearlove)

From: "manet issue tracker" <[email-masked]>
Date: Tue, 30 Dec 2014 22:05:09 -0000

#48: Single address per interface per router (submitted for Chris Dearlove)

Changes (by [email-masked]):

 * status:  new => closed
 * resolution:   => fixed

Comment:

 On 7/20/2014 9:45 PM, Charles E. Perkins wrote:

 > AODVv2 does not impose this restriction.  It has, for a long time,
 > enabled multiple router addresses per interface.  I will look again,
 > but as of now I do not see where any such restriction has been
 > imposed.  If you have identified where this restriction is implied
 > or stated directly, please let me know as soon as possible.
 >
 > Unnumbered interfaces have never been suggested as appropriate
 > for inclusion of the feature set for any reactive protocol that was
 > under consideration within [manet], all the way since the very
 > initiation of the working group.  At least not within my memory.

 -----------------------------------------------------------------------

 On 7/22/2014 6:22 AM, Henning Rogge wrote:
 > On 07/22/2014 03:18 PM, Thomas Heide Clausen wrote:
 >>
 >>> On 22 Jul 2014, at 14:39 , Dearlove, Christopher (UK)
 >>> <[email-masked] <mailto:[email-masked]>>
 >>> wrote:
 >>>
 >>> In at least one place in the draft (sorry, I don't have the time to
 >>> find it again now) it explicitly says one address per interface.
 >>>
 >>
 >> Not sure if this is the place that Chris is thinking of, but in my
 >> review I encountered things such as:
 >>
 >>  Blacklist.Node
 >>       The IP address of the node that did not verify bidirectional
 >>       connectivity.
 >>
 >>
 >> Which looks like it is assumed that a “node” (I assume that this means
 >> “router” and will be fixed in a coming version, as has been requested
 >> multiple times) has a single IP address (that’s what the use of the
 >> definite article implies, is it not?)
 >>
 >> Also:
 >>
 >>  AODVv2 supports routers with
 >>    multiple interfaces, as long as each interface has its own (unicast
 >>    routeable) IP address
 >>
 >>
 >> “address” - singular, not plural.
 >>
 >> There were other instances of such, these were just the first I saw
 when
 >> glancing over my review.
 >
 > Just a thought,
 >
 > does this mean we cannot run AODVv2 with IPv6 linklocal addresses? In
 > the presence of VLAN interfaces these addresses can be the same for
 > multiple interfaces of the same node.

 -------------------------------------------------------------------------

 On 7/22/2014 9:14 AM, Charles E. Perkins wrote:

 > OLSRv2 is much more demanding regarding the determination of which
 > IP addresses belong to which routers.  Basically, AODVv2 does not care.
 > DSR did not care either.  In fact, I am not aware of any reactive
 protocol
 > for which this was ever an issue.  What matters is the establishment of
 > a routing path from source to destination.
 >
 > I will fix the wording about handling blacklisted addresses as
 suggested.
 > If you have other instances, please do not hesitate to point them out.

 > On 7/22/2014 6:50 AM, Dearlove, Christopher (UK) wrote:
 >>
 >> The second of these was the point I had in mind. The first is an
 associated issue.
 >>
 >>
 >>
 >> There are various complexities in OLSRv2 that relate to addressing of
 interfaces (not shared between routers, but possibly shared between
 interfaces) and gateways (can overlap and share). We think we got them
 right (though without a formal proof, so it’s possible we missed something
 – I think we caught one right at the last post-IESG point). But some took
 some work.

 ---------------------------------------------------------------------------

 The draft has been modified to resolve the ambiguities mentioned above as
 well as others with similar sentence structures.  There are not currently
 any known such ambiguities, and so it seems reasonable to close this
 issue.

-- 
-----------------------------------+------------------------------------
 Reporter:  [email-masked]  |       Owner:  [email-masked]
     Type:  defect                 |      Status:  closed
 Priority:  minor                  |   Milestone:
Component:  aodvv2                 |     Version:
 Severity:  Active WG Document     |  Resolution:  fixed
 Keywords:  Router addressability  |
-----------------------------------+------------------------------------

Ticket URL: <https://tools.ietf.org/wg/manet/trac/ticket/48#comment:1>
manet <http://tools.ietf.org/manet/>